.product-row {
  width: 30rem;
  height: 18rem;
  display: flex;
  align-items: center;
}

.product-row:hover {
  border: 1px solid #cfcfcf;
  border-right: none;
  border-left: none;
}

.product-row .image {
  width: 30%;
  margin-left: 1rem;
}

.product-row .image img {
  width: 100%;
}

.product-row .info {
  width: 70%;
  margin-left: 1rem;
}

.product-row .info h4 {
  font-weight: 700;
  margin: 0;
}

.product-row .info .description {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  margin: 0 1.5rem 0.5rem 0;
}

.product-row .info .quantity {
  display: flex;
  height: 2.5rem;
  margin-bottom: 1rem;
}

.product-row .info .quantity input {
  text-align: center;
  width: 3.5rem;
  height: 100%;
  color: #43484d;
  border: none;
  border-top: 1px solid #ba6172;
  border-bottom: 1px solid #ba6172;
  cursor: initial;
  outline: none;
  font-weight: 400;
  font-size: 1.2rem;
  -webkit-appearance: none;
}

.product-row .info .minus-btn,
.product-row .info .plus-btn,
.product-row .info .remove-btn {
  width: 2.6rem;
  background: none;
  color: #ba6172;
  cursor: pointer;
  border: 1px solid #ba6172;
}

.product-row .info .minus-btn,
.product-row .info .plus-btn {
  height: 100%;
}

.product-row .info .minus-btn {
  border-top-left-radius: 1rem;
  border-bottom-left-radius: 1rem;
}

.product-row .info .plus-btn {
  border-top-right-radius: 1rem;
  border-bottom-right-radius: 1rem;
}

.product-row .info .remove-btn {
  height: 2.6rem;
  border: none;
  font-size: 1.5rem;
  margin-left: 3.5rem;
  padding-bottom: 0.5rem;
}

.product-row .info .minus-btn:hover,
.product-row .info .plus-btn:hover {
  color: #fff;
  background: #ba6172;
  border: none;
}

.product-row .info .minus-btn.disable,
.product-row .info .plus-btn.disable {
  color: #ba6172;
  background: none;
  cursor: not-allowed;
  border: 1px solid #ba6172;
}

.product-row .info .price {
  font-size: 1.5rem;
  margin-left: 1.5rem;
  font-weight: 900;
}

.product-row .info .unit-price {
  font-weight: 400;
  font-size: 1rem;
  margin-left: 1rem;
}

.product-row .info .currency {
  font-size: 1rem;
}